package main

import (
	"dcl_dispatch_server/src/package/util"
	"fmt"
	"strings"
	"testing"
)

func TestCsv(t *testing.T) {
	csvPath := "C:\\Users\\mlxengingin\\Desktop\\1212\\targetposition.csv"
	csv, err := util.ParseCsv(csvPath)
	if err != nil {
	}
	fmt.Println(csv)

	var endPosition string // export END_POSITION="x1,y1,z1,h1;x2,y2,z2,h2;x3,y3,z3,h3;x4,y4,z4,h4"
	// 遍历生成字符串
	var endPositionBuilder strings.Builder
	for _, endPoint := range csv {
		if endPositionBuilder.Len() > 0 {
			endPositionBuilder.WriteByte(';')
		}
		endPositionBuilder.WriteString(fmt.Sprintf("%s,%s,%s,%s", endPoint.X, endPoint.Y, endPoint.Z, endPoint.H))
	}
	endPosition = endPositionBuilder.String()
	fmt.Println(endPosition)
}
